<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".gest.prod_rientro_merce.order_list.ProdRientroMerceOrderListFragment">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/swiperefresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/filter_chips">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/main_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scrollbars="vertical"
                tools:listitem="@layout/fragment_prod_rientro_merce_order_list__list_group_model" />

        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/empty_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:alpha="0.3">

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_top"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintGuide_percent="0.4" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_left"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.15" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_right"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.85" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="72dp"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/ic_playlist_add_check_24dp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:text="@string/no_orders_found_message"
                    android:textColor="@android:color/black"
                    android:textSize="18sp" />
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </FrameLayout>
</layout>